Drotth-Minecraft-Island.pngのサムネイル画像


「バグ修正だけだから1.3.1と1.3.2で対応状況なんか変わらないだろう」と思っていたのですが、存外に動かない。なんだろう…ModLoader(もしくはForge Mod Loader)に対応バージョンのチェックがあるのかな…わかりませんが、自分的にちょっと混乱してきたので整理する目的で「1.3.2対応まとめ」としてまとめ直し。

あ、今回から前提Modは「Minecraft Forge」だけになったら良いなあと思ってます。
無理そうなら仕方ないですが。


前提MOD

Minecraft Forge

[8/16] 1.3.2対応完了。

8/16に1.3.2に対応したバージョンがリリースされました。Recommendはバージョン4.0.0、ビルド200。
(9/9現在も頻繁に更新されています。現在の安定バージョンは4.1.1、ビルド251)

公式サイト
http://www.minecraftforge.net/forum/
GitHub
https://github.com/MinecraftForge/MinecraftForge



大型MOD

Build Craft

[9/9] 開発中
[9/14] 1.3.2対応のプレリリース版がリリースされました。
[10/12] プレリリース版が更新されました(BuildCraft 3.2.0pre9)

専用のブランチ「buildcraft131」で開発が進められていますが、リリースにはまだ掛かりそうな感じです。BuildCraftの周辺にはその他にも細かいModがあって(拡張パイプとか)全部が対応するのは時間掛かりそうだなあ…

専用のブランチがmasterブランチにマージされ、jenkinsでのビルドも始まったのですわリリース間近かと思ったのですが…現状は壮絶なバグ取りが行われてる最中です。stableなビルドが出るのはいつになるだろう…


プレリリース版がリリースされました。gitHubやJenkinsを見る限り、まだ絶賛バグ取り中なのでどの環境でもきちんと動くかは解りませんが、とりあえず自分の環境ではきちんと起動しました。注意点としては以下のように書かれていることですかね。

Requires Minecraft Forge 4.2.5.299 (Remember to delete META-INF in your minecraft.jar)
(DO NOT install ModLoader or ModLoaderMp. Install ONLY Forge.)

自分は1.3.2ではForgeのみ入れようと決意してModを選んでいたので良かったですが、ModLoaderを使用している人はもう少し待つ必要があるかも知れません。

ちなみに「Additional Pipes」などの拡張アドオンについては今のところ音沙汰無しです…

公式サイト
http://www.mod-buildcraft.com/
GitHub
https://github.com/SirSengir/BuildCraft
https://github.com/SirSengir/BuildCraft/tree/buildcraft131


Forestry for Minecraft

[8/18] βテスト中
[8/27] 1.3.2対応版が正式にリリースされました。

ベータ版配布用ページにて1.3.2に対応したベータ版が配布されています(開発中のBuildCraftも含まれているよう)が、まだバグも多いようなのでバックアップ無しの導入は危険です。てかまぁ、BuildCraftが開発中の段階でこれだけテストしてもという感じではありますし。

正式版がリリースされました。目立ったバグはないように見えますが、内部で利用されているのはBuildCraftのPre版ですし、パイプ周りが使えないので結構不便です。動作確認できるというレベルかなあ。平地の畑の管理には使えるかも。Build Craftプレリリース版が結構きっちり動くので、Forestry for Minecraftに関しては大体問題ないと言っていいようです。

それにしてもバージョン1.4.0.0から機械の製造コストが上がっていたなんて知りませんでした。まぁ量産するもんでは無いから構わないんですけど、真空管が地味に大変なんですよね…

公式Wiki
http://forestry.sengir.net/wiki/


IndustrialCraft 2

[8/18] 開発中
[9/7] クローズドβテスト中
[9/16] 1.3.2対応版(ver 1.106)が正式にリリースされました。

1.3系に移行していくどうかはまだ未定とのこと。しばらくは諦めですかねぇ。

8/25のニュースでクローズドβ中であることが告知されました。正式リリースにはまだ2,3週間掛かるとのこと。


というわけでリリースされました。これで大体MODは揃ったかなー


公式サイト
http://www.industrial-craft.net
http://forum.industrial-craft.net/index.php?page=Board&boardID=58



大型MODの拡張MOD

必須ではないのですがBuildCraftに関連して以下の拡張MODを使っていたことを思い出しました。

Additional Pipes

[10/8] 音沙汰無し

多分利用者の多いModだと思うのですが…今のところ音沙汰無しでフォーラムもかなり混乱してます。デマを貼る人あり、良くわからんカスタマイズありで収拾が付いてないですね。作者さんのサイトも無い(githubにアカウントはあるけど)ので、しばらく状況は解らないですね。

Forum内公式トピック
http://www.minecraftforum.net/topic/856360-125bc2214-bc315rev213rev310-additional-pipes-for-buildcraft-teleport-pipes/
github
https://github.com/DaStormBringer/AdditionalPipesBC2


Additional Buildcraft Objects

[10/3] ベータ版(0.9.2.29)がリリースされています。

一通り使ってみたところ問題は起きていなさそうですが、依然バグ修正中なので本番環境で使うのはオススメしません。

ベータ版のダウンロード方法
下にリンクした「ベータ版置き場」の「3.2.0」から最新版をダウンロード。
「3.2.0」ってのはBuildCraftのバージョン番号ですね。


Forum内公式トピック
http://www.minecraftforum.net/topic/682821-125bc3152214091-additional-buildcraft-objects/
ベータ版置き場
http://www.siedler25.org/uploads/minecraft/AdditionalBuildcraftObjects/



個人的に必須の小物MOD

Rei's Minimap

[8/17] 1.3.2対応と公式リリース

8/1に発表された1.3.1対応の「v3.2_05」で問題ないとのこと。実際に問題なく動きます。

Forum内公式トピック
http://forum.minecraftuser.jp/viewtopic.php?f=13&t=153


SpawnChecker

[8/18] 開発中
[8/19] 1.3.2対応版がリリース(ただしModLoader環境のみ)
[8/20] Forgeにも対応した、1.3.2対応版がリリースされました

一旦1.3.1に対応したのですが、1.3.2にはまだ対応していません。
→ 1.3.2に対応したのですが、ForgeではModとして認識されていないようです。修正版を準備中とのことです。
→ Forgeでの動作も可能な1.3.2対応版がリリースされました。動作も確認済み。

Forum内公式トピック
http://forum.minecraftuser.jp/viewtopic.php?t=3835


Timber!

[8/18] 開発中
[8/18] 1.3.2に対応

一旦1.3.1に対応したのですが、1.3.2にはまだ対応していません。
→ 対応しました。動作確認もOK。

Forum内公式トピック
http://www.minecraftforum.net/topic/119361-131-tehkrushs-mods-timber-updated/#timber


Inventory Tweaks

[8/17] 1.3.2に対応した1.4.3がリリース

公式サイト
http://inventory-tweaks.readthedocs.org/en/latest/index.html
GitHub
https://github.com/mkalam-alami/inventory-tweaks



その他のMOD(試用中含む)

ReverseCraft

[8/18] 開発中
[8/19] 1.3.2対応版がリリース(ただしModLoaderのみ入っている環境限定)
[9/5] Forgeにも対応したバージョン2.1.1がリリースされました。

一旦1.3.1に対応したのですが、1.3.2にはまだ対応していません。
→ 1.3.2に対応したのですが、ModLoaderのみインストールしている場合にきちんと動作します。Forgeがインストールされている環境ではMinecraftが起動しなくなります。報告済み。
→ いまのところForgeへ対応するかは未定、とのこと。


Forum内公式トピック
http://forum.minecraftuser.jp/viewtopic.php?f=13&t=3629


NihongoMOD / BitmapFont

[8/18] 1.3.2に対応(NihongoMODが1.1.5ベータ、BitmapFontが1.1.3)

いやあ…看板に日本語が書きたくてさ…
導入以外に設定が必要らしいので導入できたら試す方向で。

Forum内公式トピック
http://forum.minecraftuser.jp/viewtopic.php?f=13&t=6279


OptiFine

[8/18] 1.3.2に対応

うちのPC、スペックは低くはないんだけどそれでも32bitだしグラボもミドルクラスで高画質には結構しんどい。ということで何か改善出来たら良いなあと思って入れてみました。ちなみに種類が色々あって分かんなかったのでとりあえず「OptiFine HD B1 Ultra」入れておけば良いかと思ってそれを。

Forum内公式トピック
http://www.minecraftforum.net/topic/249637-132-optifine-hd-b1-fps-boost-hd-textures-aa-af-and-much-more/


littleMaidMob

[9/4] βテスト版がリリースされています。
[9/22] β版さらに更新。

羊の毛刈りが面倒すぎて導入に踏み切りました。

ベータ版と言うことですが一応起動しますし、スポーンします。ただ…ベータ版だからなのか、はさみを持たせて「Ripper」の役割を与えても、毛を刈ってくれなかったです…(´・ω・`)ショボーン
Forge環境は暫定対応だからかなあ。

というわけで大人しく正式版を待っているところです。

9/22版でもまだ「だいぶ動くけどメイン環境では使わないでね。」
マルチへの対応が大変そうです。

Forum内公式トピック
http://forum.minecraftuser.jp/viewtopic.php?t=176






とりあえずこんなところで。
みんなオープンレポジトリで開発すれば良いのになー